org.jboss.resteasy.client.jaxrs.engines

## Enum ApacheHttpClient4Engine.MemoryUnit

- java.lang.Object
- - java.lang.Enum<ApacheHttpClient4Engine.MemoryUnit>
  - - org.jboss.resteasy.client.jaxrs.engines.ApacheHttpClient4Engine.MemoryUnit

- All Implemented Interfaces:
    Serializable, Comparable<ApacheHttpClient4Engine.MemoryUnit>
  Enclosing class:
    ApacheHttpClient4Engine

      public static enum ApacheHttpClient4Engine.MemoryUnit
      extends Enum<ApacheHttpClient4Engine.MemoryUnit>

  Enumeration to represent memory units.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BY` Bytes
    `GB` Giga Bytes
    `KB` Killo Bytes
    `MB` Mega Bytes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApacheHttpClient4Engine.MemoryUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApacheHttpClient4Engine.MemoryUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BY

          public static final ApacheHttpClient4Engine.MemoryUnit BY

      Bytes

    - #### KB

          public static final ApacheHttpClient4Engine.MemoryUnit KB

      Killo Bytes

    - #### MB

          public static final ApacheHttpClient4Engine.MemoryUnit MB

      Mega Bytes

    - #### GB

          public static final ApacheHttpClient4Engine.MemoryUnit GB

      Giga Bytes

  - ### Method Detail

    - #### values

          public static ApacheHttpClient4Engine.MemoryUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApacheHttpClient4Engine.MemoryUnit c : ApacheHttpClient4Engine.MemoryUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApacheHttpClient4Engine.MemoryUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.